package com.example.ljgscancode

import com.example.ljgscancode.model.LJGResult
import com.example.ljgscancode.model.Product
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.jackson.JacksonConverterFactory
import retrofit2.http.*

class ApiService private constructor() {
    companion object {
        val instance = ApiService()
    }

    private val httpLoggingInterceptor =
        HttpLoggingInterceptor().apply { level = HttpLoggingInterceptor.Level.BASIC }

    private val client = OkHttpClient.Builder()
        .addInterceptor(httpLoggingInterceptor)
        .build()

    val retrofit: Retrofit = Retrofit.Builder()
        .client(client)
        .baseUrl("https://verify.luojigou.vip")
        .addConverterFactory(JacksonConverterFactory.create())
        .build()

    val apiService = retrofit.create(GitHubService::class.java)

    interface GitHubService {
        @GET("admin/conan/type")
        suspend fun listProduct(): LJGResult<List<Product>>

        @PUT("admin/conan/type/{typeId}")
        suspend fun intoStock(@Path("typeId") type:Int,@Body list:List<String>):LJGResult<String>
    }
}