package com.example.ljgscancode.data

import android.content.Context
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper

class CodeResultDatabase private constructor(context: Context, name: String, version: Int) :
    SQLiteOpenHelper(context, name, null, version) {

    companion object {
        val codeResultTableName = "CodeResult"

    }

    private val createTable = "create table $codeResultTableName (" +
            "id integer primary key autoincrement," +
            "type text," +
            "code text)"



    override fun onCreate(db: SQLiteDatabase?) {
        db?.execSQL(createTable)
    }

    override fun onUpgrade(db: SQLiteDatabase?, oldVersion: Int, newVersion: Int) {
        onCreate(db)
    }


    class Build(context: Context, version: Int) {
        private var database: CodeResultDatabase = CodeResultDatabase(context, "CodeResult.db", version);


        fun build(): CodeResultDatabase {
            return database;
        }
    }
}